package com.ssj.service.kmt.correctsys.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotBlank;

/**
 * @author Mount Liu
 * @date 2019/5/17
 */
public class SaveTeacherInfoV1Req extends BaseRequest {

    private final static long serialVersionUID = 1L;

    @ApiModelProperty(name = "imgUrl", value = "头像（不需审核）", required = true)
    private String imgUrl;
    @NotBlank
    @ApiModelProperty(name = "name", value = "姓名", required = true)
    private String name;
    @NotBlank
    @ApiModelProperty(name = "school", value = "学校", required = true)
    private String school;
    @NotBlank
    @ApiModelProperty(name = "managerId", value = "管理员id", required = true)
    private String managerId;
    @NotBlank
    @ApiModelProperty(name = "subject", value = "批改科目(多个科目以这种方式：语文;数学;英语)", required = true)
    private String subject;
    @ApiModelProperty(name = "grade", value = "批改年级(多个年级以这种方式：一年级,二年级,三年级,四年级,五年级,六年级)", required = true)
    private String grade;
    @NotBlank
    @ApiModelProperty(name = "period", value = "可批改时间段(多个以这种方式：周一;周二)（不需审核）", required = true)
    private String period;
    @NotBlank
    @ApiModelProperty(name = "phone", value = "手机号码（不需审核）", required = true)
    private String phone;
    @NotBlank
    @ApiModelProperty(name = "vcode", value = "手机验证码", required = true)
    private String vcode;
    @NotBlank
    @ApiModelProperty(name = "role", value = "1:批改老师 4:匹配知识点老师", required = true)
    private int role;

    @ApiModelProperty(name = "idNumber", value = "身份证号", required = true)
    private String idNumber;
    @ApiModelProperty(name = "idFace", value = "身份证正面", required = true)
    private String idFace;
    @ApiModelProperty(name = "bankName", value = "银行名", required = true)
    private String bankName;
    @ApiModelProperty(name = "bankIcon", value = "银行图标", required = true)
    private String bankIcon;
    @ApiModelProperty(name = "cardholder", value = "持卡人姓名", required = true)
    private String cardholder;
    @ApiModelProperty(name = "cardNumber", value = "银行卡号", required = true)
    private String cardNumber;
    @ApiModelProperty(name = "bankBranch", value = "开户支行", required = true)
    private String bankBranch;

    public String getIdFace() {
        return idFace;
    }

    public void setIdFace(String idFace) {
        this.idFace = idFace;
    }

    public String getBankName() {
        return bankName;
    }

    public void setBankName(String bankName) {
        this.bankName = bankName;
    }

    public String getBankIcon() {
        return bankIcon;
    }

    public void setBankIcon(String bankIcon) {
        this.bankIcon = bankIcon;
    }

    public String getCardholder() {
        return cardholder;
    }

    public void setCardholder(String cardholder) {
        this.cardholder = cardholder;
    }

    public String getCardNumber() {
        return cardNumber;
    }

    public void setCardNumber(String cardNumber) {
        this.cardNumber = cardNumber;
    }

    public String getBankBranch() {
        return bankBranch;
    }

    public void setBankBranch(String bankBranch) {
        this.bankBranch = bankBranch;
    }

    public int getRole() {
        return role;
    }

    public void setRole(int role) {
        this.role = role;
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSchool() {
        return school;
    }

    public void setSchool(String school) {
        this.school = school;
    }

    public String getManagerId() {
        return managerId;
    }

    public void setManagerId(String managerId) {
        this.managerId = managerId;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getPeriod() {
        return period;
    }

    public void setPeriod(String period) {
        this.period = period;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getVcode() {
        return vcode;
    }

    public void setVcode(String vcode) {
        this.vcode = vcode;
    }

    public String getIdNumber() {
        return idNumber;
    }

    public void setIdNumber(String idNumber) {
        this.idNumber = idNumber;
    }
}
